Subject: issue: ssh-daemon could not be started

From: Taegil Bae <[email-masked]>
Date: Sat, 17 Nov 2018 18:46:26 +0900

Hi,

I have experienced this issue on a slow machine (Thinkpad T60). By
placing avahi-daemon after ssh-daemon, I fixed this issue. I added
ssh-daemon into the requirement of avahi-shepherd-service, and
reconfigured the system.

On the machine, openssh and dropbear both had this issue. I checked
that this trick works for the two ssh server. On another machine(Qemu
VM, faster), openssh only had the trouble. Through several
reconfiguring the system, it was fixed with the original
configuration. I think that it was because the reconfigurations
reordered the services.

Taegil